change several  issues at once
Status: Closed Start date: 2010-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I need to select 10 issues in the list and apply the same operation to them all. E.g. change the "target version" field. I see checkboxes

in the list to select several issues, but don't see any group actions available.

History

#1 - 2010-02-08 23:34 - Anton Statutov

right click

#2 - 2010-02-09 00:25 - Alex Last

thanks for the hint. indeed, if I right-click in some areas of the list I get the context menu. I don't get it for clicks on the issues text or numbers. this

interface is not very consistent.

#3 - 2010-02-09 10:02 - Felix Schäfer

The text and numbers are links, so we can't make them "right-clickable", the right-click action in the "blank" spaces is realised through javascript afaik.

The problem here is to decide how much of the default behavior of the browser we want to hijack (i.e. would the redmine right-click work on the "issue

title" link, then your browser's right-click wouldn't be available, so you couldn't "right-click" > "open in a new tab" for example.)

#4 - 2010-02-14 17:52 - Anton Statutov

Felix Schäfer wrote:

The text and numbers are links, so we can't make them "right-clickable", the right-click action in the "blank" spaces is realised through javascript

afaik. The problem here is to decide how much of the default behavior of the browser we want to hijack (i.e. would the redmine right-click work

on the "issue title" link, then your browser's right-click wouldn't be available, so you couldn't "right-click" > "open in a new tab" for example.)

 I had such problem on my own project. The good solution for that was "right-click" for the custom behavior and "dbl-right-click" for the default behavior

of the browser.

#5 - 2010-02-14 18:22 - Jean-Philippe Lang

- Status changed from New to Closed

Anton Statutov wrote:

I had such problem on my own project. The good solution for that was "right-click" for the custom behavior and "dbl-right-click" for the default

behavior of the browser.

 I don't think so. Many people want to keep the default browser context menu when right clicking a link.

#6 - 2010-02-14 18:25 - Jean-Philippe Lang

See #607, item 3.
